<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <s:div styleClass="row" id="configSelectionGrid1" rendered="#{simulationBean.getMessages() == null}">
        <!--Div showing information about the Simulator-->
        <div class="col-md-6">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                <ui:insert name="simulatorDescription"/>
            </ui:decorate>
        </div>

        <!-- system under test selection-->
        <div class="form-horizontal, col-md-6">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.pam.SystemUnderTest']}</ui:define>
                <ui:param name="id" value="sutSelection"/>
                <ui:param name="required" value="#{true}"/>
                <h:selectOneMenu value="#{sutSelectionBean.selectedSUT}" styleClass="form-control gzl-select-text" id="sutSelection">
                    <s:selectItems value="#{sutSelectionBean.availableSystems}" var="conf"
                                   noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                                   label="#{conf.name}"/>
                    <a4j:ajax event="change" for="sutSelection" render="configSelectionGrid2 globalForm"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
    </s:div>
    <br/>
    <s:div styleClass="row" id="configSelectionGrid2">
        <div class="col-md-4">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                <ui:insert name="simulatorInformation"/>
            </ui:decorate>
        </div>

        <div class="col-md-4" style="text-align: center;">
            <h:graphicImage library="img" name="#{sutSelectionBean.getDiagram()}"/>
        </div>

        <div class="col-md-4">
            <s:decorate template="/layout/panels/_panel_title.xhtml"
                        rendered="#{sutSelectionBean.selectedSUT != null}">
                <ui:define name="panel_title">
                    #{messages['net.ihe.gazelle.PatientManager.SystemUnderTestSUT']})
                </ui:define>
                <s:decorate id="manualNameDecoration2"
                            template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                    <h:outputText value="#{sutSelectionBean.selectedSUT.name}"/>
                </s:decorate>
                <s:decorate id="manualIPDecoration2"
                            template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
                    <h:outputText id="url" value="#{sutSelectionBean.selectedSUT.url}"/>
                </s:decorate>
            </s:decorate>
        </div>

    </s:div>

</ui:composition>